#	"Make" the c programs in this directory.
#	Copyright (c) 1989-1992 by Hamilton Laboratories.  All rights reserved.
		
# Just discard any wildcards that don't produce matches.
set nonomatch = 2

proc make(cfile)

	# make (i.e., recompile) a given .c file if
	#   a) there's no corresponding .exe, or
	#   b) the .exe is older than the .c file or any of the .h headers (if
	#      there are any).

	set root = $cfile:r
	if (! -e $root.exe || ! `newer $root.exe $i *.h`) then
		cl -debug:none -Dcdecl= $cfile
		rm $root.obj
	end
end

foreach i (*.c)
	make $i
end
